For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://developer.shipbob.com/v1.0/api/receiving/llms.txt. For full documentation content, see https://developer.shipbob.com/v1.0/api/receiving/llms-full.txt.

# Create Warehouse Receiving Order (DEPRECATED)


POST https://api.shipbob.com/1.0/receiving
Content-Type: application/json

This endpoint is deprecated. Please use /2.0/receiving


Reference: https://developer.shipbob.com/v1.0/api/receiving/create-warehouse-receiving-order-deprecated

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: api-1.0
  version: 1.0.0
paths:
  /1.0/receiving:
    post:
      operationId: create-warehouse-receiving-order-deprecated
      summary: |
        Create Warehouse Receiving Order (DEPRECATED)
      description: |
        This endpoint is deprecated. Please use /2.0/receiving
      tags:
        - subpackage_receiving
      parameters:
        - name: Authorization
          in: header
          description: Authentication using Personal Access Token (PAT) token
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Receiving.ReceivingOrderViewModel'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Receiving.Post.1.0.Receiving.Bad.Request.Object
        '401':
          description: Authorization missing or invalid
          content:
            application/json:
              schema:
                description: Any type
        '403':
          description: The provided credentials are not authorized to access this resource
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Receiving.ValidationProblemDetails'
      requestBody:
        description: The receiving order to create
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Receiving.CreateReceivingOrderModel'
servers:
  - url: https://api.shipbob.com
  - url: https://sandbox-api.shipbob.com
components:
  schemas:
    Receiving.PackingType:
      type: string
      enum:
        - EverythingInOneBox
        - OneSkuPerBox
        - MultipleSkuPerBox
      title: Receiving.PackingType
    Receiving.AddBoxItemToBoxModel:
      type: object
      properties:
        inventory_id:
          type: integer
          description: Unique inventory id of the items in the box
        lot_date:
          type:
            - string
            - 'null'
          format: date-time
          description: Lot expiration date for the items in the box
        lot_number:
          type:
            - string
            - 'null'
          description: Lot number of the items in the box
        quantity:
          type: integer
          description: Quantity of the items in the box
      required:
        - inventory_id
        - quantity
      description: >-
        Information about an inventory item contained inside a receiving order
        box
      title: Receiving.AddBoxItemToBoxModel
    Receiving.AddBoxToOrderModel:
      type: object
      properties:
        box_items:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Receiving.AddBoxItemToBoxModel'
          description: Items contained in this box
        tracking_number:
          type:
            - string
            - 'null'
          description: Tracking number for the box shipment
      required:
        - box_items
        - tracking_number
      description: Information about a box shipment to be added to a receiving order
      title: Receiving.AddBoxToOrderModel
    Receiving.AssignOrderToFulfillmentCenterModel:
      type: object
      properties:
        id:
          type: integer
          description: ID of the fulfillment center to assign this receiving order to
      required:
        - id
      description: "Model containing information that assigns a receiving order to a fulfillment center.\r\nIf the fulfillment center provided is in a receiving hub region, then the response will be the receiving hub location."
      title: Receiving.AssignOrderToFulfillmentCenterModel
    Receiving.PackageType:
      type: string
      enum:
        - Package
        - Pallet
        - FloorLoadedContainer
      title: Receiving.PackageType
    Receiving.CreateReceivingOrderModel:
      type: object
      properties:
        box_packaging_type:
          $ref: '#/components/schemas/Receiving.PackingType'
        boxes:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Receiving.AddBoxToOrderModel'
          description: Box shipments to be added to this receiving order
        expected_arrival_date:
          type: string
          format: date-time
          description: >-
            Expected arrival date of all the box shipments in this receiving
            order
        fulfillment_center:
          $ref: '#/components/schemas/Receiving.AssignOrderToFulfillmentCenterModel'
        package_type:
          $ref: '#/components/schemas/Receiving.PackageType'
        purchase_order_number:
          type:
            - string
            - 'null'
          description: Purchase order number for this receiving order
      required:
        - box_packaging_type
        - boxes
        - expected_arrival_date
        - fulfillment_center
        - package_type
      description: Information to create a new receiving order
      title: Receiving.CreateReceivingOrderModel
    Receiving.BoxItemViewModel:
      type: object
      properties:
        inventory_id:
          type: integer
          description: Unique identifier of the inventory item
        lot_date:
          type:
            - string
            - 'null'
          format: date-time
          description: Expiration date of the item's lot
        lot_number:
          type:
            - string
            - 'null'
          description: Lot number the item belongs to
        quantity:
          type: integer
          description: Quantity of the item included
        received_quantity:
          type: integer
          description: >-
            Quantity of the item that was received after processing the
            receiving order
      description: >-
        Information about an item contained inside a box as part of a receiving
        order
      title: Receiving.BoxItemViewModel
    Receiving.BoxStatus:
      type: string
      enum:
        - Awaiting
        - Arrived
        - Completed
        - Counting
        - Stowing
        - Cancelled
      title: Receiving.BoxStatus
    Receiving.BoxViewModel:
      type: object
      properties:
        arrived_date:
          type:
            - string
            - 'null'
          format: date-time
          description: Date the box arrived
        box_id:
          type: integer
        box_items:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Receiving.BoxItemViewModel'
          description: Information about the items included in the box
        box_number:
          type: integer
          description: The number of the box in the receiving order
        box_status:
          $ref: '#/components/schemas/Receiving.BoxStatus'
        counting_started_date:
          type:
            - string
            - 'null'
          format: date-time
          description: Date counting of the box's inventory items started
        received_date:
          type:
            - string
            - 'null'
          format: date-time
          description: Date the box was received
        tracking_number:
          type:
            - string
            - 'null'
          description: Tracking number of the box shipment
      description: Information about a box shipment included in a receiving order
      title: Receiving.BoxViewModel
    Receiving.FulfillmentCenterViewModel:
      type: object
      properties:
        address1:
          type:
            - string
            - 'null'
          description: Address line one of the fulfillment center
        address2:
          type:
            - string
            - 'null'
          description: Address line two of the fulfillment center
        city:
          type:
            - string
            - 'null'
          description: City the fulfillment center is located in
        country:
          type:
            - string
            - 'null'
          description: Country the fulfillment center is located in
        email:
          type:
            - string
            - 'null'
          description: Email contact for the fulfillment center
        id:
          type: integer
          description: Unique identifier of the fulfillment center
        name:
          type:
            - string
            - 'null'
          description: Name of the fulfillment center
        phone_number:
          type:
            - string
            - 'null'
          description: Phone number contact for the fulfillment center
        state:
          type:
            - string
            - 'null'
          description: State the fulfillment center is located in
        timezone:
          type:
            - string
            - 'null'
          description: Timezone the fulfillment center is located in
        zip_code:
          type:
            - string
            - 'null'
          description: Postal code of the fulfillment center
      description: Information about a fulfillment center
      title: Receiving.FulfillmentCenterViewModel
    Receiving.ReceivingStatus:
      type: string
      enum:
        - Awaiting
        - Processing
        - Completed
        - Cancelled
        - Incomplete
        - Arrived
        - PartiallyArrived
        - PartiallyArrivedAtHub
        - ArrivedAtHub
        - ProcessingAtHub
        - InternalTransfer
      title: Receiving.ReceivingStatus
    Receiving.ReceivingOrderViewModel:
      type: object
      properties:
        box_labels_uri:
          type:
            - string
            - 'null'
          description: >-
            URL to the packing slip to be included in each box shipment for this
            receiving order
        box_packaging_type:
          $ref: '#/components/schemas/Receiving.PackingType'
        boxes:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Receiving.BoxViewModel'
          description: Information about the boxes being shipped in this receiving order
        expected_arrival_date:
          type: string
          format: date-time
          description: Expected date that all packages will have arrived
        fulfillment_center:
          $ref: '#/components/schemas/Receiving.FulfillmentCenterViewModel'
        id:
          type: integer
          description: Unique id of the warehouse receiving order
        insert_date:
          type: string
          format: date-time
          description: Insert date of the receiving order
        last_updated_date:
          type: string
          format: date-time
          description: Last date the receiving order was updated
        package_type:
          $ref: '#/components/schemas/Receiving.PackageType'
        purchase_order_number:
          type:
            - string
            - 'null'
          description: Purchase order number for a receiving order
        status:
          $ref: '#/components/schemas/Receiving.ReceivingStatus'
      description: Information about a receiving order
      title: Receiving.ReceivingOrderViewModel
    Receiving.Post.1.0.Receiving.Bad.Request.Object:
      type: object
      additionalProperties:
        type: array
        items:
          type: string
      title: Receiving.Post.1.0.Receiving.Bad.Request.Object
    Receiving.ValidationProblemDetails:
      type: object
      properties:
        detail:
          type:
            - string
            - 'null'
        errors:
          type:
            - object
            - 'null'
          additionalProperties:
            type: array
            items:
              type: string
        instance:
          type:
            - string
            - 'null'
        status:
          type:
            - integer
            - 'null'
        title:
          type:
            - string
            - 'null'
        type:
          type:
            - string
            - 'null'
      title: Receiving.ValidationProblemDetails
  securitySchemes:
    PAT:
      type: http
      scheme: bearer
      description: Authentication using Personal Access Token (PAT) token
    OAuth2:
      type: http
      scheme: bearer
      description: OAuth2 authentication using JWT tokens

```

## SDK Code Examples

```python Receiving_createWarehouseReceivingOrderDeprecated_example
import requests

url = "https://api.shipbob.com/1.0/receiving"

payload = {
    "box_packaging_type": "EverythingInOneBox",
    "boxes": [
        {
            "box_items": [
                {
                    "inventory_id": 0,
                    "quantity": 1,
                    "lot_date": "2019-08-24T14:15:22Z",
                    "lot_number": "2222"
                }
            ],
            "tracking_number": "860C8CDC8F0B4FC7AB69AC86C20539EC"
        }
    ],
    "expected_arrival_date": "2019-08-24T14:15:22Z",
    "fulfillment_center": { "id": 0 },
    "package_type": "Package",
    "purchase_order_number": "string"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Receiving_createWarehouseReceivingOrderDeprecated_example
const url = 'https://api.shipbob.com/1.0/receiving';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"box_packaging_type":"EverythingInOneBox","boxes":[{"box_items":[{"inventory_id":0,"quantity":1,"lot_date":"2019-08-24T14:15:22Z","lot_number":"2222"}],"tracking_number":"860C8CDC8F0B4FC7AB69AC86C20539EC"}],"expected_arrival_date":"2019-08-24T14:15:22Z","fulfillment_center":{"id":0},"package_type":"Package","purchase_order_number":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Receiving_createWarehouseReceivingOrderDeprecated_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.shipbob.com/1.0/receiving"

	payload := strings.NewReader("{\n  \"box_packaging_type\": \"EverythingInOneBox\",\n  \"boxes\": [\n    {\n      \"box_items\": [\n        {\n          \"inventory_id\": 0,\n          \"quantity\": 1,\n          \"lot_date\": \"2019-08-24T14:15:22Z\",\n          \"lot_number\": \"2222\"\n        }\n      ],\n      \"tracking_number\": \"860C8CDC8F0B4FC7AB69AC86C20539EC\"\n    }\n  ],\n  \"expected_arrival_date\": \"2019-08-24T14:15:22Z\",\n  \"fulfillment_center\": {\n    \"id\": 0\n  },\n  \"package_type\": \"Package\",\n  \"purchase_order_number\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Receiving_createWarehouseReceivingOrderDeprecated_example
require 'uri'
require 'net/http'

url = URI("https://api.shipbob.com/1.0/receiving")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"box_packaging_type\": \"EverythingInOneBox\",\n  \"boxes\": [\n    {\n      \"box_items\": [\n        {\n          \"inventory_id\": 0,\n          \"quantity\": 1,\n          \"lot_date\": \"2019-08-24T14:15:22Z\",\n          \"lot_number\": \"2222\"\n        }\n      ],\n      \"tracking_number\": \"860C8CDC8F0B4FC7AB69AC86C20539EC\"\n    }\n  ],\n  \"expected_arrival_date\": \"2019-08-24T14:15:22Z\",\n  \"fulfillment_center\": {\n    \"id\": 0\n  },\n  \"package_type\": \"Package\",\n  \"purchase_order_number\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java Receiving_createWarehouseReceivingOrderDeprecated_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.shipbob.com/1.0/receiving")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"box_packaging_type\": \"EverythingInOneBox\",\n  \"boxes\": [\n    {\n      \"box_items\": [\n        {\n          \"inventory_id\": 0,\n          \"quantity\": 1,\n          \"lot_date\": \"2019-08-24T14:15:22Z\",\n          \"lot_number\": \"2222\"\n        }\n      ],\n      \"tracking_number\": \"860C8CDC8F0B4FC7AB69AC86C20539EC\"\n    }\n  ],\n  \"expected_arrival_date\": \"2019-08-24T14:15:22Z\",\n  \"fulfillment_center\": {\n    \"id\": 0\n  },\n  \"package_type\": \"Package\",\n  \"purchase_order_number\": \"string\"\n}")
  .asString();
```

```php Receiving_createWarehouseReceivingOrderDeprecated_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.shipbob.com/1.0/receiving', [
  'body' => '{
  "box_packaging_type": "EverythingInOneBox",
  "boxes": [
    {
      "box_items": [
        {
          "inventory_id": 0,
          "quantity": 1,
          "lot_date": "2019-08-24T14:15:22Z",
          "lot_number": "2222"
        }
      ],
      "tracking_number": "860C8CDC8F0B4FC7AB69AC86C20539EC"
    }
  ],
  "expected_arrival_date": "2019-08-24T14:15:22Z",
  "fulfillment_center": {
    "id": 0
  },
  "package_type": "Package",
  "purchase_order_number": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Receiving_createWarehouseReceivingOrderDeprecated_example
using RestSharp;

var client = new RestClient("https://api.shipbob.com/1.0/receiving");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"box_packaging_type\": \"EverythingInOneBox\",\n  \"boxes\": [\n    {\n      \"box_items\": [\n        {\n          \"inventory_id\": 0,\n          \"quantity\": 1,\n          \"lot_date\": \"2019-08-24T14:15:22Z\",\n          \"lot_number\": \"2222\"\n        }\n      ],\n      \"tracking_number\": \"860C8CDC8F0B4FC7AB69AC86C20539EC\"\n    }\n  ],\n  \"expected_arrival_date\": \"2019-08-24T14:15:22Z\",\n  \"fulfillment_center\": {\n    \"id\": 0\n  },\n  \"package_type\": \"Package\",\n  \"purchase_order_number\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Receiving_createWarehouseReceivingOrderDeprecated_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "box_packaging_type": "EverythingInOneBox",
  "boxes": [
    [
      "box_items": [
        [
          "inventory_id": 0,
          "quantity": 1,
          "lot_date": "2019-08-24T14:15:22Z",
          "lot_number": "2222"
        ]
      ],
      "tracking_number": "860C8CDC8F0B4FC7AB69AC86C20539EC"
    ]
  ],
  "expected_arrival_date": "2019-08-24T14:15:22Z",
  "fulfillment_center": ["id": 0],
  "package_type": "Package",
  "purchase_order_number": "string"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/1.0/receiving")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```